Upstream information

CVE-2019-20010 at MITRE

Description

An issue was discovered in GNU LibreDWG 0.92. There is a use-after-free in resolve_objectref_vector in decode.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1159825 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP1
  • libredwg-devel >= 0.9.3-bp151.2.3.1
  • libredwg-tools >= 0.9.3-bp151.2.3.1
  • libredwg0 >= 0.9.3-bp151.2.3.1
Patchnames:
openSUSE-2020-95
openSUSE Leap 15.1
  • libredwg-devel >= 0.9.3-lp151.2.3.1
  • libredwg-tools >= 0.9.3-lp151.2.3.1
  • libredwg0 >= 0.9.3-lp151.2.3.1
Patchnames:
openSUSE-2020-68
openSUSE Tumbleweed
  • libredwg-devel >= 0.11.1-1.6
  • libredwg-tools >= 0.11.1-1.6
  • libredwg0 >= 0.11.1-1.6
Patchnames:
openSUSE Tumbleweed GA libredwg-devel-0.11.1-1.6


SUSE Timeline for this CVE

CVE page created: Fri Dec 27 09:22:29 2019
CVE page last modified: Wed Oct 26 22:13:14 2022